WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Upgrade from 1.5.2 to 2.0 -> Weird MySQL Errors (5 posts)

  1. mdolan
    Member
    Posted 8 years ago #

    Upgraded to 2.0 and am getting the following errors when I try to do the upgrade step 1 at /wp-admin/upgrade.php...

    I only took the top part, there's probably over 200 errors like this...

    -----------------------

    WordPress database error: [You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near '( umeta_id bigint(20) NOT NULL auto_increment, user_id bigi]
    CREATE TABLE ( umeta_id bigint(20) NOT NULL auto_increment, user_id bigint(20) NOT NULL default '0', meta_key varchar(255) default NULL, meta_value longtext, PRIMARY KEY (umeta_id), KEY user_id (user_id), KEY meta_key (meta_key) )

    WordPress database error: [You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near 'WHERE option_name = 'db_version'' at line 1]
    SELECT option_value FROM WHERE option_name = 'db_version'

    WordPress database error: [You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near 'WHERE option_name = 'template'' at line 1]
    SELECT option_value FROM WHERE option_name = 'template'

    WordPress database error: [You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near '(option_name, option_value, option_description, autoload) VALUE]
    INSERT INTO (option_name, option_value, option_description, autoload) VALUES ('siteurl', 'http://www.michaeldolan.com', 'WordPress web address', 'yes')

  2. mdolan
    Member
    Posted 8 years ago #

    it looks like there are no tables in the SQL statements

  3. Mark (podz)
    Support Maven
    Posted 8 years ago #

    Do you have a backup ?

  4. mdolan
    Member
    Posted 8 years ago #

    yes? the database wasn't changed. What would I use my backup for?

    This is just a plain upgrade .. or so I thought. Anyone know what would cause this error?

  5. mdolan
    Member
    Posted 8 years ago #

    Figured it out - weird issue. I originally uploaded my 1.5.2 files under Linux. Then I downloaded the 2.0 files (.zip) under Windows and uploaded. I just downloaded the 2.0 files (.tgz) under Linux and uploaded and the upgrade was flawless. Weird.. The server is a Linux server.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags